package com.gx.obe.server.im.util;

import java.math.BigDecimal;
import java.util.Date;


/**
 * @Description:
 * @Description:
 * @author guoyr
 */
public class ObjectUtil {

	
	public static String getObjString(Object obj){
		if(null == obj){
			return "";
		}else {
			return obj.toString();
		}
	}
	
	public static Date getObjDate(Object obj){
		if(null == obj){
			return null;
		}else {
			try {
				return (Date)obj;
			} catch (Exception e) {
				return null;
			}
		}
	}
	public static boolean getObjBoolean(Object obj){
		if(null == obj){
			return false;
		}else {
			try {
				return (Boolean)obj;
			} catch (Exception e) {
				return false;
			}
		}
	}
	public static BigDecimal getObjBigDecimal(Object obj, int scale){
		BigDecimal value = null;
		if(null == obj){
			return null;
		}else {
			try {
				value = new BigDecimal(obj.toString());
				value = BigDecimalUtil.round(value, scale);
			} catch (Exception e) {
				value = null;
			}
		}
		return value;
	}
	public static BigDecimal getObjBigDecimal(Object obj){
		BigDecimal value = null;
		if(null == obj){
			return null;
		}else {
			try {
				value = new BigDecimal(obj.toString());
			} catch (Exception e) {
				value = null;
			}
		}
		return value;
	}
	
	public static boolean equals(String str1, String str2) {
		if (null != str1 && null != str2 && str1.equals(str2)) {
			return true;
		} else {
			return false;
		}
	}
}
