package com.gx.obe.server.management.config.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

/**
 * @Description:
 * @author mazc
 */

@TableName("obe_sys_config")
public class SysConfig extends Model<SysConfig> {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@TableId("CONFIG_ID")
	private String id;
	/**
	 * 名称
	 */
	@TableField("CONFIG_NAME")
	private String configName;
	/**
	 * 编码
	 */
	@TableField("CONFIG_CODE")
	private String configCode;
	/**
	 * 配置值
	 */
	@TableField("CONFIG_VALUE")
	private String configValue;
	/**
	 * 创建时间
	 */
	@TableField("CREATE_TIME")
	private Date createTime;
	/**
	 * 修改时间
	 */
	@TableField("MODIFY_TIME")
	private Date modifyTime;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getConfigName() {
		return configName;
	}

	public void setConfigName(String configName) {
		this.configName = configName;
	}

	public String getConfigCode() {
		return configCode;
	}

	public void setConfigCode(String configCode) {
		this.configCode = configCode;
	}

	public String getConfigValue() {
		return configValue;
	}

	public void setConfigValue(String configValue) {
		this.configValue = configValue;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	public static final String CONFIG_ID = "CONFIG_ID";

	public static final String CONFIG_NAME = "CONFIG_NAME";

	public static final String CONFIG_CODE = "CONFIG_CODE";

	public static final String CONFIG_VALUE = "CONFIG_VALUE";

	public static final String CREATE_TIME = "CREATE_TIME";

	public static final String MODIFY_TIME = "MODIFY_TIME";

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "SysConfig{" + ", configId=" + id + ", configName=" + configName + ", configCode=" + configCode
				+ ", configValue=" + configValue + ", createTime=" + createTime + ", modifyTime=" + modifyTime + "}";
	}
}
