package com.gx.obe.server.management.config.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

/**
 * @Description:
 * @author mazc
 */

@TableName("obe_sys_config_value")
public class SysConfigValue extends Model<SysConfigValue> {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@TableId("CONFIG_VALUE_ID")
	private String id;
	/**
	 * 系统配置ID
	 */
	@TableField("CONFIG_ID")
	private String configId;
	/**
	 * 名称
	 */
	@TableField("CONFIG_VALUE_CODE")
	private String configValueCode;
	/**
	 * 配置值
	 */
	@TableField("CONFIG_VALUE")
	private String configValue;
	/**
     * 序号
     */
    @TableField("SORT_NO")
    private Integer sortNo;
	/**
	 * 说明
	 */
	@TableField("MEMO")
	private String memo;
	/**
	 * 使用状态
	 */
	@TableField("USE_STATUS")
	private String useStatus;
	/**
	 * 创建时间
	 */
	@TableField("CREATE_TIME")
	private Date createTime;
	/**
	 * 修改时间
	 */
	@TableField("MODIFY_TIME")
	private Date modifyTime;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getConfigId() {
		return configId;
	}

	public void setConfigId(String configId) {
		this.configId = configId;
	}

	public String getConfigValueCode() {
		return configValueCode;
	}

	public void setConfigValueCode(String configValueCode) {
		this.configValueCode = configValueCode;
	}

	public String getConfigValue() {
		return configValue;
	}

	public void setConfigValue(String configValue) {
		this.configValue = configValue;
	}

	public Integer getSortNo() {
		return sortNo;
	}

	public void setSortNo(Integer sortNo) {
		this.sortNo = sortNo;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getUseStatus() {
		return useStatus;
	}

	public void setUseStatus(String useStatus) {
		this.useStatus = useStatus;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	public static final String CONFIG_VALUE_ID = "CONFIG_VALUE_ID";

	public static final String CONFIG_ID = "CONFIG_ID";

	public static final String CONFIG_VALUE_CODE = "CONFIG_VALUE_CODE";

	public static final String CONFIG_VALUE = "CONFIG_VALUE";

	public static final String SORT_NO = "SORT_NO";
	
	public static final String MEMO = "MEMO";

	public static final String USE_STATUS = "USE_STATUS";

	public static final String CREATE_TIME = "CREATE_TIME";

	public static final String MODIFY_TIME = "MODIFY_TIME";

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "SysConfigValue{" + ", configValueId=" + id + ", configId=" + configId + ", configValueCode="
				+ configValueCode + ", configValue=" + configValue + ", memo=" + memo + ", useStatus=" + useStatus
				+ ", createTime=" + createTime + ", modifyTime=" + modifyTime + "}";
	}
}
