package com.gx.obe.server.management.dictionary.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

/**
 * @Description:
 * @author mazc
 */

@TableName("obe_template_library")
public class TemplateLibrary extends Model<TemplateLibrary> {
	private static final long serialVersionUID = 1L;

	/**
	 * 模板库主键
	 */
	@TableId("TEMPLATE_LIBRARY_ID")
	private String id;
	/**
	 * 模板库名称
	 */
	@TableField("NAME")
	private String name;
	/**
	 * 模板库备注
	 */
	@TableField("MEMO")
	private String memo;
	/**
	 * 模板库编号
	 */
	@TableField("CODE")
	private String code;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public static final String TEMPLATE_LIBRARY_ID = "TEMPLATE_LIBRARY_ID";

	public static final String NAME = "NAME";

	public static final String MEMO = "MEMO";

	public static final String CODE = "CODE";

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "TemplateLibrary{" + ", id=" + id + ", name=" + name + ", memo=" + memo + ", code=" + code + "}";
	}
}
