package com.gx.obe.server.management.dictionary.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import com.gx.obe.server.management.dictionary.entity.Supervise;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface SuperviseService extends IService<Supervise> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeSuperviseList 
	 */
 	Integer updateByBatch (List<Supervise> ObeSuperviseList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeSuperviseList 
	 */
	Integer insertByBatch (List<Supervise> ObeSuperviseList);
	
	
	/**
	 * @Description: 查询监督人列表
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	 List<Supervise> getSuperviseList(String tenderId);
	
	/**
	 * @Description: 删除监督人
	 * @author mazc
	 * @param tenderId
	 * @param userId
	 * @return 
	 */
	 boolean deleteSupervise(String tenderId, String userId);
	 
	 /**
	 * @Description: 
	 * @author mazc
	 * @param tenderId
	 * @param userId
	 * @return 
	 */
	List<Object> getSuperviseIdByTenderIdOrUserId(String tenderId,String userId);
}



