package com.gx.obe.server.management.evaluation.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.gx.obe.server.management.evaluation.entity.EvaluationGroup;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;

/**
 * @Description:
 * @author mazc
 */
@Mapper
public interface EvaluationGroupMapper extends BaseMapper<EvaluationGroup> {
    
    /**
     * @Description: 批量插入
     * @author mazc
     * @param ObeEvaluationGroupList
     */
    Integer updateBatchList(@Param("ObeEvaluationGroupList") List<EvaluationGroup> ObeEvaluationGroupList);
    
    /**
     * @Description: 批量插入
     * @author mazc
     * @param ObeEvaluationGroupList
     */
    Integer insertByBatch(@Param("ObeEvaluationGroupList") List<EvaluationGroup> ObeEvaluationGroupList);
    
}