package com.gx.obe.server.management.evaluation.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

/**
 * @Description:
 * @author mazc
 */

@TableName("obe_evaluation_step_factor")
public class EvaluationStepFactor extends Model<EvaluationStepFactor> {
	private static final long serialVersionUID = 1L;

	/**
	 * 评标步骤评审指标主键
	 */
	@TableId("NODE_FACTOR_ID")
	private String id;
	/**
	 * 步骤外键
	 */
	@TableField("STEP_ID")
	private String stepId;
	/**
	 * 指标外键
	 */
	@TableField("FACTOR_ID")
	private String factorId;
	/**
	 * 是否权重指标
	 */
	@TableField("USE_WEIGHT")
	private String useWeight;
	/**
	 * 冗余项目外键
	 */
	@TableField("TENDER_ID")
	private String tenderId;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getStepId() {
		return stepId;
	}

	public void setStepId(String stepId) {
		this.stepId = stepId;
	}

	public String getFactorId() {
		return factorId;
	}

	public void setFactorId(String factorId) {
		this.factorId = factorId;
	}

	public String getUseWeight() {
		return useWeight;
	}

	public void setUseWeight(String useWeight) {
		this.useWeight = useWeight;
	}

	public String getTenderId() {
		return tenderId;
	}

	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}

	public static final String NODE_FACTOR_ID = "NODE_FACTOR_ID";

	public static final String STEP_ID = "STEP_ID";

	public static final String FACTOR_ID = "FACTOR_ID";

	public static final String USE_WEIGHT = "USE_WEIGHT";

	public static final String TENDER_ID = "TENDER_ID";

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "EvaluationStepFactor{" + ", id=" + id + ", stepId=" + stepId + ", factorId=" + factorId + ", useWeight="
				+ useWeight + ", tenderId=" + tenderId + "}";
	}
}
