package com.gx.obe.server.management.expert.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.expert.entity.ExpertLibrary;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 /** 
 * @Description: 
 * @author mazc 
 */
@Mapper
public interface ObeExpertLibraryMapper extends BaseMapper<ExpertLibrary> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeExpertLibraryList 
	 */
	Integer updateBatchList (@Param("ObeExpertLibraryList") List<ExpertLibrary> ObeExpertLibraryList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeExpertLibraryList 
	 */
	Integer insertByBatch (@Param("ObeExpertLibraryList")List<ExpertLibrary> ObeExpertLibraryList);
	
	
	/**
	 * @Description: 获得专家库的最大序号
	 * @author mazc
	 * @return 
	 */
	Integer getMaxExpertLibrarySortNo();

}