package com.gx.obe.server.management.expert.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_expert_library")
public class ExpertLibrary extends Model<ExpertLibrary> {
	private static final long serialVersionUID=1L;

    /**
     * 主键
     */
	@TableId("EXPERT_LIBRARY_ID")
	private String id;
    /**
     * 专家库名称
     */
    @TableField("EXPERT_LIB_NAME")
        private String expertLibName;
    /**
     * 专家库地址
     */
    @TableField("EXPERT_LIB_ADDRESS")
        private String expertLibAddress;
    /**
     * webService接口命名空间
     */
    @TableField("NAME_SPACE")
        private String nameSpace;
    /**
     * 账号
     */
    @TableField("EXPERT_LIB_ACCOUNT")
        private String expertLibAccount;
    /**
     * 密码
     */
    @TableField("EXPERT_LIB_PASSWORD")
        private String expertLibPassword;
    /**
     * 使用状态
     */
    @TableField("USE_STATUS")
        private String useStatus;
    /**
     * 排序
     */
    @TableField("SORT_NO")
        private Integer sortNo;


 
    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getExpertLibName(){
        return expertLibName;
        }

        public void setExpertLibName(String expertLibName) {
        this.expertLibName = expertLibName;
        }

    public String getExpertLibAddress(){
        return expertLibAddress;
        }

        public void setExpertLibAddress(String expertLibAddress) {
        this.expertLibAddress = expertLibAddress;
        }

    public String getNameSpace(){
        return nameSpace;
        }

        public void setNameSpace(String nameSpace) {
        this.nameSpace = nameSpace;
        }

    public String getExpertLibAccount(){
        return expertLibAccount;
        }

        public void setExpertLibAccount(String expertLibAccount) {
        this.expertLibAccount = expertLibAccount;
        }

    public String getExpertLibPassword(){
        return expertLibPassword;
        }

        public void setExpertLibPassword(String expertLibPassword) {
        this.expertLibPassword = expertLibPassword;
        }

    public String getUseStatus(){
        return useStatus;
        }

        public void setUseStatus(String useStatus) {
        this.useStatus = useStatus;
        }

    public Integer getSortNo(){
        return sortNo;
        }

    public void setSortNo(Integer sortNo) {
    	this.sortNo = sortNo;
    }

    public static final String SORT_NO ="SORT_NO";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {
    return "ObeExpertLibrary{" +
            ", id=" + id +
            ", expertLibName=" + expertLibName +
            ", expertLibAddress=" + expertLibAddress +
            ", nameSpace=" + nameSpace +
            ", expertLibAccount=" + expertLibAccount +
            ", expertLibPassword=" + expertLibPassword +
            ", useStatus=" + useStatus +
            ", sortNo=" + sortNo +
    "}";
    }
    }
