package com.gx.obe.server.management.expert.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import com.gx.obe.server.management.expert.entity.DefaultFactorResult;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface DefaultFactorResultService extends IService<DefaultFactorResult> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeDefaultFactorResultList 
	 */
 	Integer updateByBatch (List<DefaultFactorResult> ObeDefaultFactorResultList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeDefaultFactorResultList 
	 */
	Integer insertByBatch (List<DefaultFactorResult> ObeDefaultFactorResultList);
	
 	/**
 	 * @Description: 通过tenderId stepId 获取初始化指标结果
 	 * @author mazc
 	 * @param tenderId
 	 * @param stepId
 	 * @return 
 	 */
 	List<DefaultFactorResult> findDefaultFactorResultByTenderIdAndStepId(String tenderId ,String stepId);
}



