package com.gx.obe.server.management.negotiation.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.negotiation.entity.NegotiationResult;
import com.gx.obe.server.management.negotiation.service.NegotiationResultService;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
/** 
 * @Description: 
 * @author mazc 
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/obeNegotiationResult")
public class NegotiationResultController extends BaseController<NegotiationResultService,NegotiationResult>{
	@Autowired
	public NegotiationResultService NegotiationResultServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeNegotiationResultList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<NegotiationResult> ObeNegotiationResultList) {
		return NegotiationResultServices.insertByBatch(ObeNegotiationResultList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeNegotiationResultList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<NegotiationResult> ObeNegotiationResultList) {
		return NegotiationResultServices.updateByBatch(ObeNegotiationResultList);
	}

}