package com.gx.obe.server.management.project.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.project.entity.BillTableProjectResult;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface BillTableProjectResultMapper extends BaseMapper<BillTableProjectResult> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeBillTableProjectResultList 
	 */
	Integer updateBatchList (@Param("ObeBillTableProjectResultList") List<BillTableProjectResult> ObeBillTableProjectResultList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeBillTableProjectResultList 
	 */
	Integer insertByBatch (@Param("ObeBillTableProjectResultList")List<BillTableProjectResult> ObeBillTableProjectResultList);
	
	
	
	/**
	 * @Description: 获取分部分项清单结果
	 * @author mazc
	 * @param tenderId
	 * @param dxProjectCode
	 * @param dwProjectCode
	 * @param billCode
	 * @param userId
	 * @return 
	 */
	List<BillTableProjectResult> getBillTableProjectResult(String tenderId, String dxProjectCode, String dwProjectCode, String billCode, String userId);

}