package com.gx.obe.server.management.struct_new.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.struct_new.entity.ObeBidderBasicInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeBidderBasicInfoMapper extends BaseMapper<ObeBidderBasicInfo> {

    /**
     * @param ObeBidderBasicInfoList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeBidderBasicInfoList") List<ObeBidderBasicInfo> ObeBidderBasicInfoList);

    /**
     * @param ObeBidderBasicInfoList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeBidderBasicInfoList") List<ObeBidderBasicInfo> ObeBidderBasicInfoList);

    /**
     * @param ObeBidderBasicInfo
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeBidderBasicInfo") ObeBidderBasicInfo ObeBidderBasicInfo, @Param("attributes") String[] attributes);

    /**
     * @param ObeBidderBasicInfoList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeBidderBasicInfoList") List<ObeBidderBasicInfo> ObeBidderBasicInfoList, @Param("attributes") String[] attributes);

}