package com.gx.obe.server.management.struct_new.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.struct_new.entity.ObeCashSheet;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeCashSheetMapper extends BaseMapper<ObeCashSheet> {

    /**
     * @param ObeCashSheetList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeCashSheetList") List<ObeCashSheet> ObeCashSheetList);

    /**
     * @param ObeCashSheetList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeCashSheetList") List<ObeCashSheet> ObeCashSheetList);

    /**
     * @param ObeCashSheet
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeCashSheet") ObeCashSheet ObeCashSheet, @Param("attributes") String[] attributes);

    /**
     * @param ObeCashSheetList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeCashSheetList") List<ObeCashSheet> ObeCashSheetList, @Param("attributes") String[] attributes);

}