package com.gx.obe.server.management.struct_new.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.struct_new.entity.ObeWorkExperience;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeWorkExperienceMapper extends BaseMapper<ObeWorkExperience> {

    /**
     * @param ObeWorkExperienceList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeWorkExperienceList") List<ObeWorkExperience> ObeWorkExperienceList);

    /**
     * @param ObeWorkExperienceList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeWorkExperienceList") List<ObeWorkExperience> ObeWorkExperienceList);

    /**
     * @param ObeWorkExperience
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeWorkExperience") ObeWorkExperience ObeWorkExperience, @Param("attributes") String[] attributes);

    /**
     * @param ObeWorkExperienceList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeWorkExperienceList") List<ObeWorkExperience> ObeWorkExperienceList, @Param("attributes") String[] attributes);

}