package com.gx.obe.server.management.struct_new.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.struct_new.entity.ObeBalanceSheet;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
public interface ObeBalanceSheetService extends IService<ObeBalanceSheet> {

    /**
     * @param ObeBalanceSheetList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeBalanceSheet> ObeBalanceSheetList);

    /**
     * @param ObeBalanceSheetList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeBalanceSheet> ObeBalanceSheetList);

    /**
     * @param ObeBalanceSheet
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeBalanceSheet ObeBalanceSheet, String[] attributes);

    /**
     * @param ObeBalanceSheetList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeBalanceSheet> ObeBalanceSheetList, String[] attributes);

    /**
     * @param ObeBalanceSheetList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeBalanceSheet> ObeBalanceSheetList, String[] attributes);

}



