package com.gx.obe.server.management.supplier.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("area_supplier")
public class AreaSupplier extends Model<AreaSupplier> {
	private static final long serialVersionUID=1L;

    /**
     * 区内企业主键
     */
            @TableId("AREASUPPLIER_ID")
                private String id;
    /**
     * 区内企业名称 
     */
    @TableField("AREASUPPLIER_NAME")
        private String areaSupplierName;
    /**
     * 区内企业编码
     */
    @TableField("AREASUPPLIER_CODE")
        private String areaSupplierCode;
    /**
     * 标段号 
     */
    @TableField("TENDER_NO")
        private String tenderNo;
    /**
     * 企业类型
     */
    @TableField("SUPPLIER_TYPE")
        private String supplierType;
    /**
     * 备注
     */
    @TableField("REMARK")
        private String remark;


 

    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

 

  
    public String getAreaSupplierName() {
		return areaSupplierName;
	}

	public void setAreaSupplierName(String areaSupplierName) {
		this.areaSupplierName = areaSupplierName;
	}

	public String getAreaSupplierCode() {
		return areaSupplierCode;
	}

	public void setAreaSupplierCode(String areaSupplierCode) {
		this.areaSupplierCode = areaSupplierCode;
	}

	public String getTenderNo(){
        return tenderNo;
        }

        public void setTenderNo(String tenderNo) {
        this.tenderNo = tenderNo;
        }

    public String getSupplierType(){
        return supplierType;
        }

        public void setSupplierType(String supplierType) {
        this.supplierType = supplierType;
        }

    public String getRemark(){
        return remark;
        }

        public void setRemark(String remark) {
        this.remark = remark;
        }

    public static final String AREASUPPLIER_ID ="AREASUPPLIER_ID";

    public static final String AREASUPPLIER_NAME ="AREASUPPLIER_NAME";

    public static final String AREASUPPLIER_CODE ="AREASUPPLIER_CODE";

    public static final String TENDER_NO ="TENDER_NO";

    public static final String SUPPLIER_TYPE ="SUPPLIER_TYPE";

    public static final String REMARK ="REMARK";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {
    return "AreaSupplier{" +
            ", id=" + id +
            ", areaSupplierName=" + areaSupplierName +
            ", areaSupplierCode=" + areaSupplierCode +
            ", tenderNo=" + tenderNo +
            ", supplierType=" + supplierType +
            ", remark=" + remark +
    "}";
    }
    }
