package com.gx.obe.server.management.table.controller;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.table.entity.ObeBidPriceTableItemCollect;
import com.gx.obe.server.management.table.service.ObeBidPriceTableItemCollectService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/obeBidPriceTableItemCollect")
public class ObeBidPriceTableItemCollectController extends BaseController<ObeBidPriceTableItemCollectService, ObeBidPriceTableItemCollect> {

    @Autowired
    public ObeBidPriceTableItemCollectService ObeBidPriceTableItemCollectServices;

    /**
     * @param ObeBidPriceTableItemCollectList
     * @Description: 批量插入
     * @author mazc
     */
    @PostMapping("/insertByBatch")
    public int insertByBatch(@RequestBody List<ObeBidPriceTableItemCollect> ObeBidPriceTableItemCollectList) {
        return ObeBidPriceTableItemCollectServices.insertByBatch(ObeBidPriceTableItemCollectList);
    }

    /**
     * @param ObeBidPriceTableItemCollectList
     * @Description: 批量更新
     * @author mazc
     */
    @PostMapping("/updateByBatch")
    public int updateByBatch(@RequestBody List<ObeBidPriceTableItemCollect> ObeBidPriceTableItemCollectList) {
        return ObeBidPriceTableItemCollectServices.updateByBatch(ObeBidPriceTableItemCollectList);
    }

}