package com.gx.obe.server.management.table.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.table.entity.ObeBidPriceTableItem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeBidPriceTableItemMapper extends BaseMapper<ObeBidPriceTableItem> {

    /**
     * @param ObeBidPriceTableItemList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeBidPriceTableItemList") List<ObeBidPriceTableItem> ObeBidPriceTableItemList);

    /**
     * @param ObeBidPriceTableItemList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeBidPriceTableItemList") List<ObeBidPriceTableItem> ObeBidPriceTableItemList);

    /**
     * @param ObeBidPriceTableItem
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeBidPriceTableItem") ObeBidPriceTableItem ObeBidPriceTableItem, @Param("attributes") String[] attributes);

    /**
     * @param ObeBidPriceTableItemList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeBidPriceTableItemList") List<ObeBidPriceTableItem> ObeBidPriceTableItemList, @Param("attributes") String[] attributes);

}