package com.gx.obe.server.management.table.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author mazc
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("obe_bid_price_table_item")
public class ObeBidPriceTableItem extends Model<ObeBidPriceTableItem> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("ID")
    private String id;
    /**
     * 项目ID
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 供应商ID
     */
    @TableField("SUPPLIER_ID")
    private String supplierId;
    /**
     * 报价明细表ID
     */
    @TableField("PRICE_TABLE_ID")
    private String priceTableId;
    /**
     * 行类型
     */
    @TableField("ROW_TYPE")
    private String rowType;
    /**
     * 下级明细表ID
     */
    @TableField("SUB_DETAL_TABLE_ID")
    private String subDetalTableId;
    /**
     * 下级汇总表ID
     */
    @TableField("SUB_COLLECT_TABLE_ID")
    private String subCollectTableId;
    /**
     * 排序
     */
    @TableField("SORT_NO")
    private Integer sortNo;

}