package com.gx.obe.server.management.vo;

import java.util.List;

import com.gx.obe.server.management.check.entity.CheckResult;
import com.gx.obe.server.management.evaluation.entity.EvaluationStep;
import com.gx.obe.server.management.expert.entity.ExpertEvaluationResult;

public class SaveFeatureEvaluationResultVo {

	private String tenderId;
	private String userId;
	private EvaluationStep evaluationStep;
	private List<CheckResult> checkResultList;
	private List<ExpertEvaluationResult> expertEvaluationResultList;

	public SaveFeatureEvaluationResultVo() {};
	
	public SaveFeatureEvaluationResultVo(String tenderId, String userId, EvaluationStep evaluationStep, List<CheckResult> checkResultList, List<ExpertEvaluationResult> expertEvaluationResultList) {
		super();
		this.tenderId = tenderId;
		this.userId = userId;
		this.evaluationStep = evaluationStep;
		this.checkResultList = checkResultList;
		this.expertEvaluationResultList = expertEvaluationResultList;
	}

	public String getTenderId() {
		return tenderId;
	}

	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public EvaluationStep getEvaluationStep() {
		return evaluationStep;
	}

	public void setEvaluationStep(EvaluationStep evaluationStep) {
		this.evaluationStep = evaluationStep;
	}

	public List<CheckResult> getCheckResultList() {
		return checkResultList;
	}

	public void setCheckResultList(List<CheckResult> checkResultList) {
		this.checkResultList = checkResultList;
	}

	public List<ExpertEvaluationResult> getExpertEvaluationResultList() {
		return expertEvaluationResultList;
	}

	public void setExpertEvaluationResultList(List<ExpertEvaluationResult> expertEvaluationResultList) {
		this.expertEvaluationResultList = expertEvaluationResultList;
	}

}
