package com.gx.obe.server.management.vo;

import java.math.BigDecimal;
import java.util.Arrays;

/** 
 * @Description: 标段价格指标信息
 * @author mazc 
 */
public class TenderPackPriceFactorVo {

	/**
	 * TENDER_ID
	 */
	private String tenderId;
	
	
	/**
	 * 项目编号TENDER_NO
	 */
	private String tenderNo;
	
	
	/**
	 * 项目名称TENDER_NAME
	 */
	private String tenderName;
	
	
	
	private String factorId;
	
	
	/**
	 * 指标名称
	 */
 	private String factorName;
 	
 	
	/**
	 * 指标分值
	 */
	private BigDecimal factorScore;
	
	
	/**
	 * 公式
	 */
	private byte[] computerParams;


	public String getTenderId() {
		return tenderId;
	}


	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}


	public String getTenderNo() {
		return tenderNo;
	}


	public void setTenderNo(String tenderNo) {
		this.tenderNo = tenderNo;
	}


	public String getTenderName() {
		return tenderName;
	}


	public void setTenderName(String tenderName) {
		this.tenderName = tenderName;
	}


	public String getFactorId() {
		return factorId;
	}


	public void setFactorId(String factorId) {
		this.factorId = factorId;
	}


	public String getFactorName() {
		return factorName;
	}


	public void setFactorName(String factorName) {
		this.factorName = factorName;
	}


	public BigDecimal getFactorScore() {
		return factorScore;
	}


	public void setFactorScore(BigDecimal factorScore) {
		this.factorScore = factorScore;
	}


	public byte[] getComputerParams() {
		return computerParams;
	}


	public void setComputerParams(byte[] computerParams) {
		this.computerParams = computerParams;
	}


	@Override
	public String toString() {
		return "TenderPackPriceFactorVo [tenderId=" + tenderId + ", tenderNo=" + tenderNo + ", tenderName=" + tenderName
				+ ", factorId=" + factorId + ", factorName=" + factorName + ", factorScore=" + factorScore
				+ ", computerParams=" + Arrays.toString(computerParams) + "]";
	}
	
	
}
