package com.gx.obe.server.tripartitefunction.bidata.vo;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;

/** 
 * @Description: 司法协助基本信息 ,
 * @author mazc 
 */
public class Judicialaid implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 3769179889795186091L;
	/**
	 * 被执行人ID ,
	 */
	@JsonProperty("PARENT_ID")
	private String PARENT_ID;
	/**
	 * 股权变更ID ,
	 */
	@JsonProperty("MODIFYID")
	private String MODIFYID;
	/**
	 * 被执行人 ,
	 */
	@JsonProperty("INAME")
	private String INAME;
	/**
	 * 股权数额 ,
	 */
	@JsonProperty("SHAREAM")
	private String SHAREAM;
	/**
	 * : 执行法院 ,
	 */
	@JsonProperty("COURTNAME")
	private String COURTNAME;
	/**
	 * 协助公示通知书文号 ,
	 */
	@JsonProperty("COURTNO")
	private String COURTNO;
	/**
	 * 股权冻结状态 ,
	 */
	@JsonProperty("STATUS")
	private String STATUS;
	/**
	 * 币种
	 */
	@JsonProperty("CUR")
	private String CUR;

	public String getPARENT_ID() {
		return PARENT_ID;
	}

	public void setPARENT_ID(String pARENT_ID) {
		PARENT_ID = pARENT_ID;
	}

	public String getMODIFYID() {
		return MODIFYID;
	}

	public void setMODIFYID(String mODIFYID) {
		MODIFYID = mODIFYID;
	}

	public String getINAME() {
		return INAME;
	}

	public void setINAME(String iNAME) {
		INAME = iNAME;
	}

	public String getSHAREAM() {
		return SHAREAM;
	}

	public void setSHAREAM(String sHAREAM) {
		SHAREAM = sHAREAM;
	}

	public String getCOURTNAME() {
		return COURTNAME;
	}

	public void setCOURTNAME(String cOURTNAME) {
		COURTNAME = cOURTNAME;
	}

	public String getCOURTNO() {
		return COURTNO;
	}

	public void setCOURTNO(String cOURTNO) {
		COURTNO = cOURTNO;
	}

	public String getSTATUS() {
		return STATUS;
	}

	public void setSTATUS(String sTATUS) {
		STATUS = sTATUS;
	}

	public String getCUR() {
		return CUR;
	}

	public void setCUR(String cUR) {
		CUR = cUR;
	}

}