package com.gx.obe.server.common.enumeration;

/** 
 * @Description: 
 * @author mazc 
 */
public class BidPriceEnum {

	/**
	 * 是否报价项[01：报价项;00或其他：非报价项]
	 */
	public static final String IS_PRICE_ITEM = "01";
 
	/**
	 * 分项报价类型
	 */
	public static final String JOIN_TOTAL = "01";//加入总价
	public static final String NOT_JOIN_TOTAL = "00";// 不加入总价
	
	/**
	 * 投标保证金
	 */
	public static final String ITEM_CODE_BID_DEPOSIT = "bidDeposit";// 不加入总价
	
	
	public static final String CUR_CODE = "CNY";
	
	public static final String EDIT_FLOAT = "01";
	public static final String EDIT_ADD_SUB = "02";
	
	public static final String DEVIATE_CALUSE = "DeviateCaluse";
	
	public static String getEditTypeString(String editType) {
		if (EDIT_ADD_SUB.equals(editType)) return "增减型";
		if (EDIT_FLOAT.equals(editType)) return "浮动型";
		return "";
	}
	
	/**
	 * 是否完成报价[01：完成报价 00 未完成]
	 */
	public static final String PRICE_STATUS_OK = "01";
	public static final String PRICE_STATUS_UNDONE = "00";

 
	
}
