package com.gx.obe.server.common.log;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface SysLogAnnotation {

	/**
	 * 描述
	 *
	 * @return {String}
	 */
	String detail();
	
    /**
     * 日志等级:自己定
     */
    int level() default 0;
    

    /**
     * 操作类型:select,insert,update,delete
     */
    OperationType operationType() default OperationType.UNKNOWN;
    
}
