package com.gx.obe.server.management.evaluation.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.evaluation.entity.ProjectEvaluationRoom;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface ProjectEvaluationRoomMapper extends BaseMapper<ProjectEvaluationRoom> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeProjectEvaluationRoomList 
	 */
	Integer updateBatchList (@Param("ObeProjectEvaluationRoomList") List<ProjectEvaluationRoom> ObeProjectEvaluationRoomList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeProjectEvaluationRoomList 
	 */
	Integer insertByBatch (@Param("ObeProjectEvaluationRoomList")List<ProjectEvaluationRoom> ObeProjectEvaluationRoomList);
	
	/**
	 * @Description: 是否存在主评标室
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	List<ProjectEvaluationRoom> isExistPrimaryRoom(@Param("tenderId")String tenderId);
	
	/**
	 * @Description: 获得项目与评标室关联数据
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	List<ProjectEvaluationRoom> getProjectEvalRoomList(@Param("tenderId")String tenderId);

}