package com.gx.obe.server.management.im.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Blob;
import java.time.LocalDateTime;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import lombok.Data;

/**
 * @Description:
 * @author mazc
 */
@Data
@TableName("employee")
public class Employee extends Model<Employee> {

	private static final long serialVersionUID = 1L;

	@TableId("EMPLOYEE_ID")
	private String id;
	@TableField("EMPLOYEE_NAME")
	private String employeeName;
	@TableField("ACCOUNT")
	private String account;
	@TableField("PASSWORD")
	private String password;
	@TableField("NUMBER")
	private Integer number;
	@TableField("AVATAR")
	private byte[] avatar;
	@TableField("POSITION")
	private String position;
	@TableField("GENDER")
	private String gender;
	@TableField("AGE")
	private Integer age;
	@TableField("DEPARTMENTS")
	private String departments;
	@TableField("EMAIL")
	private String email;
	@TableField("MOBILE_PHONE")
	private String mobilePhone;
	@TableField("COMPANY_TEL")
	private String companyTel;
	@TableField("OTHER_TEL")
	private String otherTel;
	@TableField("FAX_TEL")
	private String faxTel;
	@TableField("ADDRESS")
	private String address;
	@TableField("ZIPCODE")
	private String zipcode;
	@TableField("BIRTHDAY")
	private Date birthday;
	@TableField("BLOOD_TYPE")
	private String bloodType;
	@TableField("PERSONAL_WEB")
	private String personalWeb;
	@TableField("SIGNATURE")
	private String signature;
	@TableField("PERSONAL_NOTE")
	private String personalNote;
	@TableField("USE_STATUS")
	private String useStatus;
	@TableField("IP")
	private String ip;
	@TableField("PORT")
	private Integer port;
	@TableField("LINE_STATUS")
	private String lineStatus;
	@TableField("LOGIN_TIME")
	private Date loginTime;
	@TableField("ONLINE_TIME")
	private BigDecimal onlineTime;

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

}