package com.gx.obe.server.management.negotiation.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_negotiation_result")
public class NegotiationResult extends Model<NegotiationResult> {
	private static final long serialVersionUID=1L;

    /**
     * 谈判结果主键
     */
            @TableId("NEGOTIATION_RESULT_ID")
                private String id;
    /**
     * 项目外键
     */
    @TableField("TENDER_ID")
        private String tenderId;
    /**
     * 评标步骤外键
     */
    @TableField("STEP_ID")
        private String stepId;
    /**
     * 投标人外键
     */
    @TableField("SUPPLIER_ID")
        private String supplierId;
    /**
     * 谈判明细外键
     */
    @TableField("NEGOTIATION_ID")
        private String negotiationId;
    /**
     * 谈判意见
     */
    @TableField("NEGOTIATION_OPINION")
        private String negotiationOpinion;


 
    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public String getStepId(){
        return stepId;
        }

        public void setStepId(String stepId) {
        this.stepId = stepId;
        }

    public String getSupplierId(){
        return supplierId;
        }

        public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
        }

    public String getNegotiationId(){
        return negotiationId;
        }

        public void setNegotiationId(String negotiationId) {
        this.negotiationId = negotiationId;
        }

    public String getNegotiationOpinion(){
        return negotiationOpinion;
        }

        public void setNegotiationOpinion(String negotiationOpinion) {
        this.negotiationOpinion = negotiationOpinion;
        }

    public static final String NEGOTIATION_RESULT_ID ="NEGOTIATION_RESULT_ID";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String STEP_ID ="STEP_ID";

    public static final String SUPPLIER_ID ="SUPPLIER_ID";

    public static final String NEGOTIATION_ID ="NEGOTIATION_ID";

    public static final String NEGOTIATION_OPINION ="NEGOTIATION_OPINION";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {//negotiationResultId
    return "NegotiationResult{" +
            ", id=" + id +
            ", tenderId=" + tenderId +
            ", stepId=" + stepId +
            ", supplierId=" + supplierId +
            ", negotiationId=" + negotiationId +
            ", negotiationOpinion=" + negotiationOpinion +
    "}";
    }
    }
