package com.gx.obe.server.management.other.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.other.entity.TaxVATItem;
import com.gx.obe.server.management.other.service.TaxVatitemService;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
/** 
 * @Description: 
 * @author mazc 
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/taxVatitem")
public class TaxVatitemController extends BaseController<TaxVatitemService,TaxVATItem>{
	@Autowired
	public TaxVatitemService taxVatitemServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeVatitemList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<TaxVATItem> ObeVatitemList) {
		return taxVatitemServices.insertByBatch(ObeVatitemList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeVatitemList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<TaxVATItem> ObeVatitemList) {
		return taxVatitemServices.updateByBatch(ObeVatitemList);
	}

}