package com.gx.obe.server.management.revokerecord.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_revoke_record")
public class RevokeRecord extends Model<RevokeRecord> {
	private static final long serialVersionUID=1L;

    /**
     * 废标记录主键
     */
            @TableId("REVOKE_RECORD_ID")
                private String id;
    /**
     * 项目外键
     */
    @TableField("TENDER_ID")
        private String tenderId;
    /**
     * 专家外键
     */
    @TableField("USER_ID")
        private String userId;
    /**
     * 使用状态
     */
    @TableField("USE_STATUS")
        private String useStatus;
    /**
     * 废标状态
     */
    @TableField("REVOKE_TYPE")
        private String revokeType;
    /**
     * 废标意见
     */
    @TableField("REVOKE_OPINION")
        private String revokeOpinion;

 

    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public String getUserId(){
        return userId;
        }

        public void setUserId(String userId) {
        this.userId = userId;
        }

    public String getUseStatus(){
        return useStatus;
        }

        public void setUseStatus(String useStatus) {
        this.useStatus = useStatus;
        }

    public String getRevokeType(){
        return revokeType;
        }

        public void setRevokeType(String revokeType) {
        this.revokeType = revokeType;
        }

    public String getRevokeOpinion(){
        return revokeOpinion;
        }

        public void setRevokeOpinion(String revokeOpinion) {
        this.revokeOpinion = revokeOpinion;
        }

    public static final String REVOKE_RECORD_ID ="REVOKE_RECORD_ID";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String USER_ID ="USER_ID";

    public static final String USE_STATUS ="USE_STATUS";

    public static final String REVOKE_TYPE ="REVOKE_TYPE";

    public static final String REVOKE_OPINION ="REVOKE_OPINION";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {
    return "RevokeRecord{" +
            ", id=" + id +
            ", tenderId=" + tenderId +
            ", userId=" + userId +
            ", useStatus=" + useStatus +
            ", revokeType=" + revokeType +
            ", revokeOpinion=" + revokeOpinion +
    "}";
    }
    }
