package com.gx.obe.server.management.software.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import lombok.Data;
/** 
 * @Description: 
 * @author mazc 
 */
@Data
@TableName("obe_software")
public class ObeSoftware extends Model<ObeSoftware> {
	private static final long serialVersionUID=1L;

	@TableId("SOFTWARE_ID")
	private String id;
	/**
	 * 软件名称
	 */
	@TableField("SOFTWARE_NAME")
	private String softwareName;
	/**
	 * 软件大小
	 */
	@TableField("SOFTWARE_SIZE")
	private String softwareSize;
	/**
	 * 软件版本号
	 */
	@TableField("SOFTWARE_VERSION")
	private String softwareVersion;
	
	/**
	 * 软件编号
	 */
	@TableField("SOFTWARE_CODE")
	private String softwareCode;
	
	/**
	 * 注册编号
	 */
	@TableField("REGISTER_CODE")
	private String registerCode;
	/**
	 * 软件描述
	 */
	@TableField("SOFTWARE_DESC")
	private String softwareDesc;
	/**
	 * 下载地址
	 */
	@TableField("SOFTWARE_URL")
	private String softwareUrl;
	
	@TableField("CREATE_TIME")
	private Date createTime;
    /**
     * 使用状态[00:使用 01:停用]
     */
    @TableField("STATUS")
    private String status;
    
    @TableField("SUFFIX")
    private String suffix;
    
	public static final String SOFTWARE_ID = "SOFTWARE_ID";

	public static final String SOFTWARE_NAME = "SOFTWARE_NAME";

	public static final String SOFTWARE_SIZE = "SOFTWARE_SIZE";

	public static final String SOFTWARE_VERSION = "SOFTWARE_VERSION";
	
	public static final String SOFTWARE_CODE = "SOFTWARE_CODE";

	public static final String REGISTER_CODE = "REGISTER_CODE";
	
	public static final String SOFTWARE_DEPICT = "SOFTWARE_DEPICT";

	public static final String SOFTWARE_URL = "SOFTWARE_URL";

	public static final String CREATE_TIME = "CREATE_TIME";

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "ObeSoftware [id=" + id + ", softwareName=" + softwareName + ", softwareSize=" + softwareSize
				+ ", softwareVersion=" + softwareVersion+ ", softwareCode=" + softwareCode+ ", registerCode=" + registerCode + ", softwareDesc=" + softwareDesc + ", softwareUrl="
				+ softwareUrl + ", createTime=" + createTime + ", status=" + status + ", suffix=" + suffix + "]";
	}

	 
}
