package com.gx.obe.server.management.struct_new.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.struct_new.entity.ObeBalanceSheet;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeBalanceSheetMapper extends BaseMapper<ObeBalanceSheet> {

    /**
     * @param ObeBalanceSheetList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeBalanceSheetList") List<ObeBalanceSheet> ObeBalanceSheetList);

    /**
     * @param ObeBalanceSheetList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeBalanceSheetList") List<ObeBalanceSheet> ObeBalanceSheetList);

    /**
     * @param ObeBalanceSheet
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeBalanceSheet") ObeBalanceSheet ObeBalanceSheet, @Param("attributes") String[] attributes);

    /**
     * @param ObeBalanceSheetList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeBalanceSheetList") List<ObeBalanceSheet> ObeBalanceSheetList, @Param("attributes") String[] attributes);

}