package com.gx.obe.server.management.struct_new.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.struct_new.entity.ObeProfitlossSheet;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeProfitlossSheetMapper extends BaseMapper<ObeProfitlossSheet> {

    /**
     * @param ObeProfitlossSheetList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeProfitlossSheetList") List<ObeProfitlossSheet> ObeProfitlossSheetList);

    /**
     * @param ObeProfitlossSheetList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeProfitlossSheetList") List<ObeProfitlossSheet> ObeProfitlossSheetList);

    /**
     * @param ObeProfitlossSheet
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeProfitlossSheet") ObeProfitlossSheet ObeProfitlossSheet, @Param("attributes") String[] attributes);

    /**
     * @param ObeProfitlossSheetList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeProfitlossSheetList") List<ObeProfitlossSheet> ObeProfitlossSheetList, @Param("attributes") String[] attributes);

}