package com.gx.obe.server.management.struct_new.enums;

import com.gx.obe.server.common.utils.EnumUtils;

import java.util.Map;

public enum DataCategoryEnum {

    NULL(""),
    /**
     * 小范本数据表单
     */
    TDI("TDI"),
    /**
     * 小范本表格
     */
    TT("TT"),
    /**
     * 对象结构化数据
     */
    MD("MD");

    public static Map<String, DataCategoryEnum> MAP = EnumUtils.toMap(values(), DataCategoryEnum::getKey);

    private String key;

    DataCategoryEnum(String key) {
        this.key = key;
    }

    public String getKey() {
        return key;
    }

}
